Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 591377 - buffer overflow with zsh
buffer overflow with zsh
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: zsh (Show other bugs)
15
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Dominic Hopf
Fedora Extras Quality Assurance
:
: 636512 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-12 00:33 EDT by ayatoujou
Modified: 2011-12-18 07:05 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-18 07:05:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The backtrace and the memory map returned by the terminal. (5.67 KB, application/octet-stream)
2010-05-12 00:33 EDT, ayatoujou
no flags Details

  None (edit)
Description ayatoujou 2010-05-12 00:33:15 EDT
Created attachment 413321 [details]
The backtrace and the memory map returned by the terminal.

Description of problem: when I  execute a command in zsh, I have this message:
*** buffer overflow detected ***: zsh terminated
[...]
zsh: abort (core dumped)  zsh -V


Version-Release number of selected component (if applicable): 4.3.10-4.fc12.x86_64


How reproducible:


Steps to Reproduce:
1.Open zsh

2.Copy and past the fallowing command in zsh:
98:0e:1c:5a:a6:48:15:87:41:c5:94:83:2c:76:23:4a:9b:22:26:49:35:65:14:b2:8d:d1:80:6e:8d:cb:57:3a:bc:a3:65:fd:97:61:84:33:ec:91:d8:d3:72:a3:2b:d6:53:b2:fe:fb:f5:fe:a5:e6:4a:aa:3b:a2:90:ab:71:31:57:bd:86:3a:d3:cc:bf:d9:ff:d4:4f:fd:de:bd:48:b4:80:74:4a:06:94:1e:c9:8e:48:f2:e8:2e:bb:cb:d6:5e:a6:22:ce:5a:4c:99:6b:3b:02:81:90:bb:d1:8b:a6:25:d0:55:64:28:e2:77:17:b5:59:80:89:10:a3:21:55:51:77:14:14:40:11:98:32:0e:65:49:c8:f7:18:1a:0d:84:13:96:99:54:42:7a:c1:91:9d:e0:7f:fd:8a:7b:1d:9e:08:18:e1:a4:c9:15:d0:49:b8:b8:d4:31:39:f5:8e:4d:7d:0e:30:b9:76:2c:2a:3f:d3:fb:6d:fd:55:01:49:03:71:10:4b:50:24:31:10:43:34:11:c5:54:a8:2a:4b:49:02:e5:d9:fa:ba:62:96:02:80:bb:23:59:d8:77:39:aa:0c:d6:46:e4:bb:29:df:22:85:1e:fb:2d:9b:46:a3:be:ea:ee:af:e0:35:2a:9d:b0:a3:3d:d1:9c:33:73:ee:cd:d9:e1:a9:45:4d:db:a8:5a:d7:9f:36:f6:ff:b9:2a:dc:31:bb:82:a5:08:d0:02:04:6e:45:16:8c:ce:12:55:6c:41:b6:da:07:38:36:2c:7f:6e:9f:fe:c7:fe:b0:5a:00:34:63:0e:c4:a2:b2:64:00:4c:a8:28:61:47:59:f2:c1:38:32:0a:29:e8:09:a0:bc:6f:d4:bc:d0:a9:89:93:05:9e:46:46:4d:d0:37:85:1b:a6:44:d2:66:d3:be:2b:6e:a7:26:fa:da:cb:2a:42:59:19:f7:f7:2d:2d:7a:93:97:6d:54:b2:74:25:29:10:48:c8:b7:2b:19:10:c9:7f:91:73:ec:fd:2c:c9:b3:58:94:45:67:4d:df:f7:da:ac:ba:f4:4f:eb:de:6f:f9:76:60:b3:15:ef:70:a0:61:1e:1d:b2:a6:4c:4a:70:0a:25:b7:69:bc:2c:63:a1:e2:88:e9:40:9b:ec:e5:a2:20:43:0f:ff:fb:a4:44:7d:8c:c3:84:3e:ca:13:4f:49:f0:6e:2b:d9:12:69:25:7e:0d:c8:eb:24:2d:3d:07:c1:ae:2f:a4:45:b6:09:a8:0b:31:b0:43:2f:80:2f:37:ba:78:ae:3a:58:4e:a6:6a:4c:3c:a2:e6:92:1a:09:28:61:d4:1f:05:4e:6b:1e:54:1b:b2:ad:16:d5:2a:34:b3:9c:b3:bb:87:52:5d:8a:b3:1d:5e:f7:46:ad:31:ae:b3:11:71:13:56:a9:f6:36:20:a8:4a:4c:61:bb:b5:31:9e:dd:3e:6f:b5:0e:d6:ec:5b:a7:d6:08:1a:bc:e9:a8:0c:93:00:8b:14:94:42:91:04:ba:eb:c2:18:70:26:2a:b1:d2:e3:13:0c:8f:21:98:08:25:1d:30:f2:52:ed:16:98:0b:8f:d6:fb:d5:85:af:3e:3e:ef:8b:e1:a2:ca:c4:20:3d:14:49:9e:7a:d9:4c:75:91:65:95:f4:38:2d:1f:65:67:4a:6e:fc:af:36:8c:8b:3d:ed:64:5e:96:d3:d1:d7:5f:ef:7d:79:b4:db:a7:fd:95:f7:e6:78:51:17:20:e5:d4:7f:ff:ff:fd:2a:01:a4:03:21:21:32:8c:b3:99:30:68:49:26:58:05:95:aa:e6:94:b3:6f:ba:69:93:62:0b:ec:71:a0:42:23:92:38:fc:ae:30:90:b1:8b:5b:cd:22:f1:67:30:69:0d:7d:2a:5c:a4:50:4e:68:e3:4b:b4:7b:bd:fb:2a:61:ed:4d:2e:89:91:b2:3a:0e:59:57:34:8e:94:92:6d:63:d2:92:f5:a8:59:61:f1:12:cb:72:92:b3:77:4f:7a:fd:29:55:d3:eb:de:da:7b:ad:93:25:69:fd:2a:cc:33:75:db:8a:8f:06:7f:93:14:07:43:09:02:c2:63:11:81:92:cb:15:8f:69:45:2b:c9:9c:a7:89:da:92:c8:60:57:e7:70:2c:f4:5e:97:25:8b:3b:66:86:44:a3:c0:89:b1:54:9c:12:5c:c6:33:7f:1c:4c:94:6a:28:bd:6c:65:ee:82:54:3c:a8:7c:a8:3a:80:0c:0e:96:27:ee:4b:d0:45:5d:6c:f8:84:14:0e:30:60:d2:83:4d:0e:23:18:d4:80:11:44:8b:ed:f1:4a:76:d9:47:ff:e8:fd:da:00:1e:45:e9:1a:d3:a4:00:cc:69:44:e8:72:56:53:2e:93:ad:d8:09:c1:6e:b2:98:26:4d:04:bf:cf:e4:66:07:86:28:b8:8e:ff:fb:a4:64:7f:0c:c3:81:5f:c9:13:28:15:60:6a:26:a9:21:70:c3:a6:0d:a1:7b:22:0d:18:b4:c1:bd:99:24:45:b4:8e:90:50:98:73:3d:98:42:d2:44:f5:0e:da:a4:1a:eb:19:0e:c6:b3:57:db:36:1f:e6:bb:4a:94:79:ca:45:66:2c:ae:bc:85:59:b3:2b:35:d9:99:6c:9a:23:32:b7:52:d5:9c:cf:da:f5:cb:fa:b7:67:ef:a5:d3:2d:f5:47:6a:2f:98:bf:ee:10:ef:ff:ec:5e:ef:fa:42:03:2c:ca:38:64:f3:2d:38:30:41:50:32:63:49:50:52:ec:b7:88:26:bb:18:6b:69:16:bf:5b:33:29:7b:9b:94:55:db:ba:ea:bc:30:02:1b:3f:32:0a:6a:34:52:27:1a:98:a0:fc:97:b6:ad:e9:25:55:6a:aa:ac:d6:dc:77:4f:95:84:91:c2:20:c4:42:c8:88:42:90:55:cf:d6:df:ea:1b:e7:20:3b:89:9e:1d:68:b1:07:0b:32:db:12:96:cf:8d:45:a8:56:d3:56:4c:ea:fd:ae:fe:ef:db:d9:6d:08:a4:03:fe:c3:14:53:18:23:11:d3:5c:38:a4:02:f6:b4:b7:72:1d:7f:c5:e4:f6:96:8f:4d:a0:28:0f:97:a7:20:16:c0:ea:67:2f:58:1d:c6:e7:e3:e4:8d:d6:bf:4c:7b:eb:af:e2:fc:22:98:fb:d4:ec:a8:3b:88:72:21:c4:0e:70:77:17:0c:1c:51:43:33:ad:90:8e:92:6c:9a:b6:a8:44:42:d9:74:9f:e9:b5:ef:ff:97:b7:6e:8a:4f:6e:f6:fb:7f:de:c1:9e:e5:7f:bb:d7:d4:14:d0:07:bb:80:6a:81:6b:84:26:40:d2:0b:50:8f:57:9c:26:18:a6:44:36:1d:c2:60:60:92:05:b6:05:09:95:2a:e9:28:87:97:db:2b:98:ee:82:c5:d5:44:68:87:8a:bc:2a:ad:16:2b:ca:02:10:f9:44:8f:5e:9f:57:db:20:9c:65:18:b7:46:5e:8a:62:f4:b2:9e:dd:8a:7e:6b:2f:5c:e5:33:d4:13:94:0f:64:3e:3d:1d:18:92:e2:5a:02:ab:67:49:5a:29:ef:43:61:2b:ff:ef:fe:69:7d:55:09:54:81:60:82:02:37:21:93:87:d1:a3:97:63:75:c5:b4:78:3c:80:a8:65:99:9a:26:e3:35:cf:54:59:6f:29:d4:70:df:b1:a6:28:21:0e:c4:ff:fb:a4:64:81:8c:c3:57:5e:c9:13:2c:12:f0:6f:47:39:12:69:e6:4a:0c:e4:e5:28:4c:3c:c5:c1:bc:9c:e4:85:a3:0e:d8:0c:51:37:26

3.Execute.
  
Actual results:


Expected results:


Additional info:
Comment 1 Bug Zapper 2010-11-03 11:02:51 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Ricky Zhou 2010-12-27 06:17:27 EST
*** Bug 636512 has been marked as a duplicate of this bug. ***
Comment 3 Ricky Zhou 2010-12-27 06:43:17 EST
Hi, I've reproduced this bug.  It turns out that spelling correction (setopt CORRECT) needed to be enabled for it to happen.

I think the following patch (which I'm sending upstream) fixes it the problem:

http://ricky.fedorapeople.org/zsh/0001-Fix-buffer-overflow-in-mindist.patch

Additionally, the latest release I tested seems to limit the length of user input better, which makes this error less likely (although still possible with pretty esoteric configurations).
Comment 4 Ricky Zhou 2011-01-05 13:45:06 EST
Upstream pushed a different patch:

http://www.zsh.org/mla/workers/2011/msg00007.html
Comment 5 Ricky Zhou 2011-08-31 11:14:48 EDT
Moving to F15 - zsh-4.3.11-2.fc15.x86_64 still appears to be affected.
Comment 6 Dominic Hopf 2011-12-17 13:43:31 EST
Hey guys,

thanks very much for your investigations so far. I lately updated the zsh package to 4.3.14 (it's available in updates-testing) and tried reproducing the issue with that version. I was not able to reproduce the issue... can you confirm the update fixes the issue also for you?

Regards,
Dominic
Comment 7 ayatoujou 2011-12-18 04:37:28 EST
Hi.

Now zsh says 'zsh: command too long'. So the update fixes the issue for me.

Thank you.
Comment 8 Dominic Hopf 2011-12-18 07:05:55 EST
Great! I close this bug then. :)

Note You need to log in before you can comment on or make changes to this bug.